Bug 169405 - Review Request: regexxer - A nifty GUI search/replace tool
Review Request: regexxer - A nifty GUI search/replace tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://regexxer.sourceforge.net/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-27 17:52 EDT by Christoph Wickert
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 09:40:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2005-09-27 17:52:48 EDT
Spec Name or Url: 
http://home.arcor.de/christoph.wickert/fedora/extras-review/SPECS/regexxer.spec
SRPM Name or Url: 
http://home.arcor.de/christoph.wickert/fedora/extras-review/SRPMS/regexxer-0.8-1.fc4.src.rpm
Description: 
Regexxer is a nifty GUI search/replace tool featuring Perl-style regular 
expressions. If you need project-wide substitution and you’re tired of hacking 
sed command lines together, then you should definitely give it a try.

Comments:
- license GPL and included 
- rpmlint looks ok
Comment 1 Aurelien Bompard 2005-09-27 19:15:47 EDT
Review for release 1.fc4:
* RPM name is OK
* Source regexxer-0.8.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint of regexxer looks OK
* File list of regexxer looks OK
* Works fine

Minor:
* Requires: gconfmm26 is useless, rpm will pick it up automatically :
$ rpm -qpR regexxer-0.8-1.fc4.i386.rpm | grep gconf
gconfmm26 >= 2.6.1
libgconf-2.so.4
libgconfmm-2.6.so.1

* Duplicate BuildRequires: gtkmm24-devel (required by libglademm24-devel)

Please remove the hardcoded dependency on gconfmm26, and consider yourself APPROVED
(do as you wish with the duplicate BR, its really minor)
Comment 2 Thorsten Leemhuis 2005-09-28 07:57:35 EDT
Christoph, if you do changes (like the ones suggested by Aurelien in #1 that you
did to the regexxer.spec between review and cvs-import) you also should describe
those in the changelog and increase the release.

And IMHO the imported package also should always be exatly the one that was
reviewed. Additional changes like those suggest in #1 should be done directly
after import.

tia
Comment 3 Christoph Wickert 2005-09-28 10:34:12 EDT
Updated to release -2 with complete changelog info. 
Comment 4 Christoph Wickert 2005-09-30 09:40:51 EDT
Arrived at FE servers yesterday.

Note You need to log in before you can comment on or make changes to this bug.